<div class="container-fluid body">
    <div class="card text-center">
        <div class="card-header text-black">
            <h3>{{titulo}} {{cliente.nombre}} {{cliente.apellidoPaterno}}</h3>
        </div>
        <div class="card-body body">
            <form class="text-black" #passForm="ngForm">

                <div class="form-floating mb-3">
                    <input type="text" class="form-control" [(ngModel)]="cliente.correo" name="correo" disabled>

                    <label for="floatingInput">Email</label>
                </div>


                <div class="form-floating mb-3">
                    <input type="password" class="form-control" [(ngModel)]="passwordNueva" name="passwordNueva"
                        #password1="ngModel" minlength="5" required>
                    <label for="floatingInput">Nueva contraseña</label>

                    <div class="alert alert-danger "
                        *ngIf="password1.value && password1.invalid && (password1.dirty || password1.touched)">
                        <div *ngIf="password1.errors.minlength">
                            La contraseña es demasiado corta
                        </div>

                    </div>

                </div>


                <div class="form-floating mb-3">
                    <input type="password" class="form-control" [(ngModel)]="passwordRepeat" name="passwordRepeat"
                        #password2="ngModel" minlength="5" required>

                    <label for="floatingInput">Confirme nueva contraseña</label>

                    <div class="alert alert-danger "
                        *ngIf="password1.value != password2.value && (password2.dirty || password2.touched)">
                        <div>
                            Las contraseñas deben coincidir
                        </div>
                    </div>
                </div>

                <button pButton role="button" (click)="cambiar()"
                    [disabled]='password1.value != password2.value || !passForm.form.valid'>Cambiar contraseña</button>
            </form>
        </div>
    </div>
</div>